list networks.md
List Networks
Infra API · Networks
GET https://app.mk.io/api/v1/projects/{project_name}/infra/networks
List networks on the specified project. To learn more about networks, read Network Concept.
Listing, Sorting and Filtering Networks
This endpoint returns the list of networks in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, displayName, id, labels, metadata/name, name, status/owner, status/scope, updated, updatedBy
Filtering
There are two ways to filter the set of returned networks from this endpoint - the first is to use the $filter query parameter, the second is to use the $label_key and $label query parameters.
The $filter query parameter allows for networks to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, displayName, id, labels, metadata/name, name, status/owner, status/scope, updated, updatedBy, updatedByEmail, updatedByName
$label_key and $label are specific to querying networks based on their labels. Labels are a set of key-value pairs that can be used to identify networks with any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of networks.
Examples:
?$top=10 - Returns only the first 10 networks from the list.
?$orderby=name desc - Sorts networks by name in descending order.
?$filter=name eq 'descriptive name' - Returns networks that match the provided name.
?$orderby=created desc - Sorts networks by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns networks created after January 1, 2021.
?$label=studio=paravalley - Returns networks with the label studio set to paravalley.
?$label=release-date~2023 - Returns networks with the label release-date set to a value that contains 2023.
?$label_key=studio&label_key=release-date - Returns networks with any value set for the studio label and the release-date label.
RBAC Capability Required: infra.network.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
$orderby |
string | No | Specifies the key by which the result collection should be ordered. |
$filter |
string | No | Restricts the set of items returned. |
$top |
string | No | Specifies a non-negative integer n that limits the number of items returned from a collection. |
$skiptoken |
string | No | Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities. |
$label_key |
string | No | Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels. |
$label |
string | No | Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned. |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/infra/networks" \
-H "Authorization: Bearer <token>"
Responses
200 — List of networks.
@odata.nextLink· string · Optional — @odata.nextLink URL if the page length and number of items match.supplemental· object · Required — Supplemental infocount· integer · Required — Number of items returnedkind· string · Required — Type of items in the listoperation· string · Required — Operation type. Should always say 'list'pagination· object · Required — Pagination infoend· integer · Required — Position of the last item in the listrecords· integer · Required — Total number of items returned in the liststart· integer · Required — Position of the first item in the listtotal· integer · Required — Total number of items in the project
subscription· object · Optional — Project infoid· string · Required — Project IDname· string · Required — Project name
value· list of objects · Required — A list of networks.- Array items (object):
kind· string · Required — The kind of record.metadata· object · Required — Network metadata.created· string · Optional · format: date-time — The time when the resource was createdcreatedBy· string · Optional · format: uuid — ID of the user who created the resourcecreatedByEmail· string · Optional — Email of the user who created the resourcedisplayName· string · Optional — The display name of the resourceid· string · Required · format: uuid — The ID of the resourcelabels· map from strings to string · Optional — A dictionary of labels associated with the resource[any key]· string — map of additional properties
name· string · Optional — The name of the resourceupdated· string · Optional · format: date-time — The time when the resource was last updatedupdatedBy· string · Optional · format: uuid — ID of the user who last updated the resourceupdatedByEmail· string · Optional — Email of the user who last updated the resource
spec· object · Required — Network specification.status· object · Required — Network status.owner· enum · Required — Indicates whether the network was automatically created by the system. System owned networks cannot be deleted, but they can be modified. To learn more, read System owned networks.- Allowed values:
User,System
- Allowed values:
scope· enum · Required — Indicates whether the network is a local network within a site. Local networks are always system owned and therefore cannot be deleted, however they can be modified.- Allowed values:
Connecting,Local
- Allowed values:
- Array items (object):
Error Responses
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: infrastructure-api · operationId: [get]_/api/v1/projects/{project_name}/infra/networks